summaryrefslogtreecommitdiffstats
path: root/src/test/framework/create-sandbox
diff options
context:
space:
mode:
authorSunil Kumar <skumar8j@in.ibm.com>2018-11-15 00:20:34 -0600
committerRAJA DAS <rajadas2@in.ibm.com>2019-05-30 05:41:21 -0500
commit01030a212c0793d0f8c84c8ff187fe7db0e07df7 (patch)
tree5a639dc63b6c7cd5a372b0856e8be02724bdc221 /src/test/framework/create-sandbox
parent28c54880dd080a0baa1540246effd7c49a499c82 (diff)
downloadtalos-sbe-01030a212c0793d0f8c84c8ff187fe7db0e07df7.tar.gz
talos-sbe-01030a212c0793d0f8c84c8ff187fe7db0e07df7.zip
AXONE Bringup CI
Change-Id: I611879498fe0b728547209716cecf6d940a9a820 Reviewed-on: http://rchgit01.rchland.ibm.com/gerrit1/72837 Tested-by: Jenkins Server <pfd-jenkins+hostboot@us.ibm.com> Tested-by: FSP CI Jenkins <fsp-CI-jenkins+hostboot@us.ibm.com> Reviewed-by: RAJA DAS <rajadas2@in.ibm.com>
Diffstat (limited to 'src/test/framework/create-sandbox')
-rwxr-xr-xsrc/test/framework/create-sandbox36
1 files changed, 19 insertions, 17 deletions
diff --git a/src/test/framework/create-sandbox b/src/test/framework/create-sandbox
index 0ddf74a5..78caa74c 100755
--- a/src/test/framework/create-sandbox
+++ b/src/test/framework/create-sandbox
@@ -6,7 +6,7 @@
#
# OpenPOWER sbe Project
#
-# Contributors Listed Below - COPYRIGHT 2015,2017
+# Contributors Listed Below - COPYRIGHT 2015,2019
# [+] International Business Machines Corp.
#
#
@@ -53,22 +53,24 @@ export sb=$SANDBOXBASE/src
execute_in_sandbox "ecc --inject ${SBE_IMG_OUT_LOC}/sbe_seeprom.bin --output ${SBE_IMG_OUT_LOC}/sbe_seeprom.bin.ecc --p8 " "ppc" || exit -1
-# Run presimsetup workarounds.
-echo "----Running presimsetup workarounds."
-if [ -f ${CITESTPATH}/etc/workarounds.presimsetup ];
-then
- ${CITESTPATH}/etc/workarounds.presimsetup || exit -1
-fi
+echo $MACHINE_TYPE
+if [ "$MACHINE_TYPE" = "NIMBUS" ]; then
+ # Run presimsetup workarounds.
+ echo "----Running presimsetup workarounds."
+ if [ -f ${CITESTPATH}/etc/workarounds.presimsetup ];
+ then
+ ${CITESTPATH}/etc/workarounds.presimsetup || exit -1
+ fi
-# Run start_simics to populate simics directories.
-echo "----Setting up simics."
-execute_in_sandbox "start_simics -no_start -machine $MACHINE -batch_mode" \
- "ppc" || exit -1
+ # Run start_simics to populate simics directories.
+ echo "----Setting up simics."
+ execute_in_sandbox "start_simics -no_start -machine $MACHINE_TYPE -batch_mode" \
+ "ppc" || exit -1
-# Run postsimsetup workarounds.
-echo "----Running postsimsetup workarounds."
-if [ -f ${CITESTPATH}/etc/workarounds.postsimsetup ];
-then
- ${CITESTPATH}/etc/workarounds.postsimsetup || exit -1
+ # Run postsimsetup workarounds.
+ echo "----Running postsimsetup workarounds."
+ if [ -f ${CITESTPATH}/etc/workarounds.postsimsetup ];
+ then
+ ${CITESTPATH}/etc/workarounds.postsimsetup || exit -1
+ fi
fi
-
OpenPOWER on IntegriCloud